Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 10-08-2021 13:24:57

webangel
Adhérent(e)
Lieu : Oise (60) - Lagny Le Sec
Distrib. : Debian 11 (Bullseye)
Noyau : Linux debian 5.10.0-8-amd64
(G)UI : Cinnamon Theme Adapta-Nokto
Inscription : 09-09-2020

[Résolu] Mise à niveau VPS, kernel 5.10 via backports ne se fait pas

Bonjour, j’essaie de mettre à niveau le kernel 4.19.17 de mon VPS chez ionos vers la version 5.10
ça ne fonctionne pas message d'erreur.

   

apt-get install -t buster-backports linux-image-5.10.0-0.bpo.5-amd64 linux-header-5.10.0-0.bpo.5-amd64


Reading package lists... Done
Building dependency tree      
Reading state information... Done
E: Unable to locate package linux-header-5.10.0-0.bpo.5-amd64
E: Couldn't find any package by glob 'linux-header-5.10.0-0.bpo.5-amd64'
E: Couldn't find any package by regex 'linux-header-5.10.0-0.bpo.5-amd64'
root@localhost:~#



Voici le /etc/apt/sources.list

nano sources.list


deb http://deb.debian.org/debian buster main contrib non-free
deb-src http://deb.debian.org/debian buster main contrib non-free

deb http://deb.debian.org/debian buster-updates main contrib non-free
deb-src http://deb.debian.org/debian buster-updates main contrib non-free

deb http://security.debian.org/ buster/updates main contrib non-free
deb-src http://security.debian.org/ buster/updates main contrib non-free

deb http://deb.debian.org/debian buster-backports main contrib non-free
deb-src http://deb.debian.org/debian buster-backports main contrib non-free
 



J'ai fait un update également

apt update


Hit:1 http://security.debian.org buster/updates InRelease                          
Hit:2 http://deb.debian.org/debian buster InRelease                                
Hit:3 http://deb.debian.org/debian buster-updates InRelease
Hit:4 http://deb.debian.org/debian buster-backports InRelease
Reading package lists... Done
Building dependency tree      
Reading state information... Done
All packages are up to date.
root@localhost:/etc/apt#
 



Merci bien pour l'aide que vous pourrez m'apporter. wink

Dernière modification par webangel (10-08-2021 13:54:54)


PC Desktop, Carte mère: MSI Z270 KRAIT GAMING (MS-7A59), CPU Intel(R) Core(TM) i5-7600K CPU @ 3.80GHz, Vidéo intégré au CPU Intel® HD Graphics 630 (Kaby Lake GT2), RAM 32Go DDR4,
SSD 1To M2 Nvme Samsung 970 Evo Plus, Carte son PCI express 1.0 Asus Xonar essence STX

Hors ligne

#2 10-08-2021 13:32:36

Fall66
Membre
Lieu : Paris
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-8-amd64
(G)UI : Xfce
Inscription : 05-11-2017
Site Web

Re : [Résolu] Mise à niveau VPS, kernel 5.10 via backports ne se fait pas

Et si tu essaie cette commande : "sudo apt -t buster-backports install linux-image-amd64 linux-headers-amd64"

(le Noyau 5.10.0-0.bpo.5-amd64 est un ancien noyau de backports, c'est peut-être pour cette raison que apt ne le trouve pas...)

Laptop : Thinkpad T430
Intel Core i5-3320M - RAM 16 Go DDR3 - SSD Lexar 128 GO + SSD Samsung 870 QVO 1TB - CG Intel intégrée
======================================================================

Hors ligne

#3 10-08-2021 13:53:24

webangel
Adhérent(e)
Lieu : Oise (60) - Lagny Le Sec
Distrib. : Debian 11 (Bullseye)
Noyau : Linux debian 5.10.0-8-amd64
(G)UI : Cinnamon Theme Adapta-Nokto
Inscription : 09-09-2020

Re : [Résolu] Mise à niveau VPS, kernel 5.10 via backports ne se fait pas

@Fall66 merci grâce à toi  wink j'ai pu installer le kernel 5.10.0 ça à super bien fonctionné.

apt -t buster-backports install linux-image-amd64 linux-headers-amd64


Reading package lists... Done
Building dependency tree      
Reading state information... Done
The following additional packages will be installed:
  binutils binutils-common binutils-x86-64-linux-gnu cpp-8 gcc-8 libasan5 libatomic1 libbinutils libc-dev-bin libc6-dev libcc1-0 libgcc-8-dev
  libgomp1 libisl19 libitm1 liblsan0 libmpc3 libmpfr6 libmpx2 libquadmath0 libtsan0 libubsan1 linux-compiler-gcc-8-x86
  linux-headers-5.10.0-0.bpo.8-amd64 linux-headers-5.10.0-0.bpo.8-common linux-image-5.10.0-0.bpo.8-amd64 linux-kbuild-5.10 linux-libc-dev manpages
  manpages-dev
Suggested packages:
  binutils-doc gcc-8-locales gcc-8-multilib gcc-8-doc libgcc1-dbg libgomp1-dbg libitm1-dbg libatomic1-dbg libasan5-dbg liblsan0-dbg libtsan0-dbg
  libubsan1-dbg libmpx2-dbg libquadmath0-dbg glibc-doc linux-doc-5.10 debian-kernel-handbook man-browser
The following NEW packages will be installed:
  binutils binutils-common binutils-x86-64-linux-gnu cpp-8 gcc-8 libasan5 libatomic1 libbinutils libc-dev-bin libc6-dev libcc1-0 libgcc-8-dev
  libgomp1 libisl19 libitm1 liblsan0 libmpc3 libmpfr6 libmpx2 libquadmath0 libtsan0 libubsan1 linux-compiler-gcc-8-x86
  linux-headers-5.10.0-0.bpo.8-amd64 linux-headers-5.10.0-0.bpo.8-common linux-headers-amd64 linux-image-5.10.0-0.bpo.8-amd64 linux-kbuild-5.10
  linux-libc-dev manpages manpages-dev
The following packages will be upgraded:
  linux-image-amd64
1 upgraded, 31 newly installed, 0 to remove and 46 not upgraded.
Need to get 99.7 MB of archives.
After this operation, 494 MB of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 http://deb.debian.org/debian buster-backports/main amd64 manpages all 5.04-1~bpo10+1 [1,346 kB]
Get:2 http://deb.debian.org/debian buster/main amd64 binutils-common amd64 2.31.1-16 [2,073 kB]
Get:3 http://deb.debian.org/debian buster/main amd64 libbinutils amd64 2.31.1-16 [478 kB]
Get:4 http://deb.debian.org/debian buster/main amd64 binutils-x86-64-linux-gnu amd64 2.31.1-16 [1,823 kB]
Get:5 http://deb.debian.org/debian buster/main amd64 binutils amd64 2.31.1-16 [56.8 kB]
Get:6 http://deb.debian.org/debian buster/main amd64 libisl19 amd64 0.20-2 [587 kB]
Get:7 http://deb.debian.org/debian buster/main amd64 libmpfr6 amd64 4.0.2-1 [775 kB]
Get:8 http://deb.debian.org/debian buster/main amd64 libmpc3 amd64 1.1.0-1 [41.3 kB]
Get:9 http://deb.debian.org/debian buster/main amd64 cpp-8 amd64 8.3.0-6 [8,914 kB]
Get:10 http://deb.debian.org/debian buster/main amd64 libcc1-0 amd64 8.3.0-6 [46.6 kB]
Get:11 http://deb.debian.org/debian buster/main amd64 libgomp1 amd64 8.3.0-6 [75.8 kB]
Get:12 http://deb.debian.org/debian buster/main amd64 libitm1 amd64 8.3.0-6 [27.7 kB]
Get:13 http://deb.debian.org/debian buster/main amd64 libatomic1 amd64 8.3.0-6 [9,032 B]
Get:14 http://deb.debian.org/debian buster/main amd64 libasan5 amd64 8.3.0-6 [362 kB]
Get:15 http://deb.debian.org/debian buster/main amd64 liblsan0 amd64 8.3.0-6 [131 kB]
Get:16 http://deb.debian.org/debian buster/main amd64 libtsan0 amd64 8.3.0-6 [283 kB]
Get:17 http://deb.debian.org/debian buster/main amd64 libubsan1 amd64 8.3.0-6 [120 kB]
Get:18 http://deb.debian.org/debian buster/main amd64 libmpx2 amd64 8.3.0-6 [11.4 kB]
Get:19 http://deb.debian.org/debian buster/main amd64 libquadmath0 amd64 8.3.0-6 [133 kB]
Get:20 http://deb.debian.org/debian buster/main amd64 libgcc-8-dev amd64 8.3.0-6 [2,298 kB]
Get:21 http://deb.debian.org/debian buster/main amd64 gcc-8 amd64 8.3.0-6 [9,452 kB]
Get:22 http://deb.debian.org/debian buster/main amd64 libc-dev-bin amd64 2.28-10 [275 kB]
Get:23 http://deb.debian.org/debian buster-backports/main amd64 linux-libc-dev amd64 5.10.46-2~bpo10+1 [1,363 kB]
Get:24 http://deb.debian.org/debian buster/main amd64 libc6-dev amd64 2.28-10 [2,691 kB]
Get:25 http://deb.debian.org/debian buster-backports/main amd64 linux-compiler-gcc-8-x86 amd64 5.10.46-2~bpo10+1 [332 kB]
Get:26 http://deb.debian.org/debian buster-backports/main amd64 linux-headers-5.10.0-0.bpo.8-common all 5.10.46-2~bpo10+1 [8,831 kB]
Get:27 http://deb.debian.org/debian buster-backports/main amd64 linux-kbuild-5.10 amd64 5.10.46-2~bpo10+1 [572 kB]
Get:28 http://deb.debian.org/debian buster-backports/main amd64 linux-headers-5.10.0-0.bpo.8-amd64 amd64 5.10.46-2~bpo10+1 [853 kB]
Get:29 http://deb.debian.org/debian buster-backports/main amd64 linux-headers-amd64 amd64 5.10.46-2~bpo10+1 [1,196 B]
Get:30 http://deb.debian.org/debian buster-backports/main amd64 linux-image-5.10.0-0.bpo.8-amd64 amd64 5.10.46-2~bpo10+1 [53.4 MB]
Get:31 http://deb.debian.org/debian buster-backports/main amd64 linux-image-amd64 amd64 5.10.46-2~bpo10+1 [1,500 B]
Get:32 http://deb.debian.org/debian buster-backports/main amd64 manpages-dev all 5.04-1~bpo10+1 [2,263 kB]
Fetched 99.7 MB in 2s (47.8 MB/s)    
Extracting templates from packages: 100%
Selecting previously unselected package manpages.
(Reading database ... 29734 files and directories currently installed.)
Preparing to unpack .../00-manpages_5.04-1~bpo10+1_all.deb ...
Unpacking manpages (5.04-1~bpo10+1) ...
Selecting previously unselected package binutils-common:amd64.
Preparing to unpack .../01-binutils-common_2.31.1-16_amd64.deb ...
Unpacking binutils-common:amd64 (2.31.1-16) ...
Selecting previously unselected package libbinutils:amd64.
Preparing to unpack .../02-libbinutils_2.31.1-16_amd64.deb ...
Unpacking libbinutils:amd64 (2.31.1-16) ...
Selecting previously unselected package binutils-x86-64-linux-gnu.
Preparing to unpack .../03-binutils-x86-64-linux-gnu_2.31.1-16_amd64.deb ...
Unpacking binutils-x86-64-linux-gnu (2.31.1-16) ...
Selecting previously unselected package binutils.
Preparing to unpack .../04-binutils_2.31.1-16_amd64.deb ...
Unpacking binutils (2.31.1-16) ...
Selecting previously unselected package libisl19:amd64.
Preparing to unpack .../05-libisl19_0.20-2_amd64.deb ...
Unpacking libisl19:amd64 (0.20-2) ...
Selecting previously unselected package libmpfr6:amd64.
Preparing to unpack .../06-libmpfr6_4.0.2-1_amd64.deb ...
Unpacking libmpfr6:amd64 (4.0.2-1) ...
Selecting previously unselected package libmpc3:amd64.
Preparing to unpack .../07-libmpc3_1.1.0-1_amd64.deb ...
Unpacking libmpc3:amd64 (1.1.0-1) ...
Selecting previously unselected package cpp-8.
Preparing to unpack .../08-cpp-8_8.3.0-6_amd64.deb ...
Unpacking cpp-8 (8.3.0-6) ...
Selecting previously unselected package libcc1-0:amd64.
Preparing to unpack .../09-libcc1-0_8.3.0-6_amd64.deb ...
Unpacking libcc1-0:amd64 (8.3.0-6) ...
Selecting previously unselected package libgomp1:amd64.
Preparing to unpack .../10-libgomp1_8.3.0-6_amd64.deb ...
Unpacking libgomp1:amd64 (8.3.0-6) ...
Selecting previously unselected package libitm1:amd64.
Preparing to unpack .../11-libitm1_8.3.0-6_amd64.deb ...
Unpacking libitm1:amd64 (8.3.0-6) ...
Selecting previously unselected package libatomic1:amd64.
Preparing to unpack .../12-libatomic1_8.3.0-6_amd64.deb ...
Unpacking libatomic1:amd64 (8.3.0-6) ...
Selecting previously unselected package libasan5:amd64.
Preparing to unpack .../13-libasan5_8.3.0-6_amd64.deb ...
Unpacking libasan5:amd64 (8.3.0-6) ...
Selecting previously unselected package liblsan0:amd64.
Preparing to unpack .../14-liblsan0_8.3.0-6_amd64.deb ...
Unpacking liblsan0:amd64 (8.3.0-6) ...
Selecting previously unselected package libtsan0:amd64.
Preparing to unpack .../15-libtsan0_8.3.0-6_amd64.deb ...
Unpacking libtsan0:amd64 (8.3.0-6) ...
Selecting previously unselected package libubsan1:amd64.
Preparing to unpack .../16-libubsan1_8.3.0-6_amd64.deb ...
Unpacking libubsan1:amd64 (8.3.0-6) ...
Selecting previously unselected package libmpx2:amd64.
Preparing to unpack .../17-libmpx2_8.3.0-6_amd64.deb ...
Unpacking libmpx2:amd64 (8.3.0-6) ...
Selecting previously unselected package libquadmath0:amd64.
Preparing to unpack .../18-libquadmath0_8.3.0-6_amd64.deb ...
Unpacking libquadmath0:amd64 (8.3.0-6) ...
Selecting previously unselected package libgcc-8-dev:amd64.
Preparing to unpack .../19-libgcc-8-dev_8.3.0-6_amd64.deb ...
Unpacking libgcc-8-dev:amd64 (8.3.0-6) ...
Selecting previously unselected package gcc-8.
Preparing to unpack .../20-gcc-8_8.3.0-6_amd64.deb ...
Unpacking gcc-8 (8.3.0-6) ...
Selecting previously unselected package libc-dev-bin.
Preparing to unpack .../21-libc-dev-bin_2.28-10_amd64.deb ...
Unpacking libc-dev-bin (2.28-10) ...
Selecting previously unselected package linux-libc-dev:amd64.
Preparing to unpack .../22-linux-libc-dev_5.10.46-2~bpo10+1_amd64.deb ...
Unpacking linux-libc-dev:amd64 (5.10.46-2~bpo10+1) ...
Selecting previously unselected package libc6-dev:amd64.
Preparing to unpack .../23-libc6-dev_2.28-10_amd64.deb ...
Unpacking libc6-dev:amd64 (2.28-10) ...
Selecting previously unselected package linux-compiler-gcc-8-x86.
Preparing to unpack .../24-linux-compiler-gcc-8-x86_5.10.46-2~bpo10+1_amd64.deb ...
Unpacking linux-compiler-gcc-8-x86 (5.10.46-2~bpo10+1) ...
Selecting previously unselected package linux-headers-5.10.0-0.bpo.8-common.
Preparing to unpack .../25-linux-headers-5.10.0-0.bpo.8-common_5.10.46-2~bpo10+1_all.deb ...
Unpacking linux-headers-5.10.0-0.bpo.8-common (5.10.46-2~bpo10+1) ...
Selecting previously unselected package linux-kbuild-5.10.
Preparing to unpack .../26-linux-kbuild-5.10_5.10.46-2~bpo10+1_amd64.deb ...
Unpacking linux-kbuild-5.10 (5.10.46-2~bpo10+1) ...
Selecting previously unselected package linux-headers-5.10.0-0.bpo.8-amd64.
Preparing to unpack .../27-linux-headers-5.10.0-0.bpo.8-amd64_5.10.46-2~bpo10+1_amd64.deb ...
Unpacking linux-headers-5.10.0-0.bpo.8-amd64 (5.10.46-2~bpo10+1) ...
Selecting previously unselected package linux-headers-amd64.
Preparing to unpack .../28-linux-headers-amd64_5.10.46-2~bpo10+1_amd64.deb ...
Unpacking linux-headers-amd64 (5.10.46-2~bpo10+1) ...
Selecting previously unselected package linux-image-5.10.0-0.bpo.8-amd64.
Preparing to unpack .../29-linux-image-5.10.0-0.bpo.8-amd64_5.10.46-2~bpo10+1_amd64.deb ...
Unpacking linux-image-5.10.0-0.bpo.8-amd64 (5.10.46-2~bpo10+1) ...
Preparing to unpack .../30-linux-image-amd64_5.10.46-2~bpo10+1_amd64.deb ...
Unpacking linux-image-amd64 (5.10.46-2~bpo10+1) over (4.19+105+deb10u12) ...
Selecting previously unselected package manpages-dev.
Preparing to unpack .../31-manpages-dev_5.04-1~bpo10+1_all.deb ...
Unpacking manpages-dev (5.04-1~bpo10+1) ...
Setting up manpages (5.04-1~bpo10+1) ...
Setting up linux-image-5.10.0-0.bpo.8-amd64 (5.10.46-2~bpo10+1) ...
I: /vmlinuz.old is now a symlink to boot/vmlinuz-4.19.0-17-amd64
I: /initrd.img.old is now a symlink to boot/initrd.img-4.19.0-17-amd64
I: /vmlinuz is now a symlink to boot/vmlinuz-5.10.0-0.bpo.8-amd64
I: /initrd.img is now a symlink to boot/initrd.img-5.10.0-0.bpo.8-amd64
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.10.0-0.bpo.8-amd64
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-5.10.0-0.bpo.8-amd64
Found initrd image: /boot/initrd.img-5.10.0-0.bpo.8-amd64
Found linux image: /boot/vmlinuz-4.19.0-17-amd64
Found initrd image: /boot/initrd.img-4.19.0-17-amd64
Found linux image: /boot/vmlinuz-4.19.0-16-amd64
Found initrd image: /boot/initrd.img-4.19.0-16-amd64
done
Setting up binutils-common:amd64 (2.31.1-16) ...
Setting up linux-libc-dev:amd64 (5.10.46-2~bpo10+1) ...
Setting up linux-image-amd64 (5.10.46-2~bpo10+1) ...
Setting up libgomp1:amd64 (8.3.0-6) ...
Setting up linux-headers-5.10.0-0.bpo.8-common (5.10.46-2~bpo10+1) ...
Setting up libasan5:amd64 (8.3.0-6) ...
Setting up libmpfr6:amd64 (4.0.2-1) ...
Setting up libquadmath0:amd64 (8.3.0-6) ...
Setting up libmpc3:amd64 (1.1.0-1) ...
Setting up libatomic1:amd64 (8.3.0-6) ...
Setting up libmpx2:amd64 (8.3.0-6) ...
Setting up libubsan1:amd64 (8.3.0-6) ...
Setting up libisl19:amd64 (0.20-2) ...
Setting up linux-kbuild-5.10 (5.10.46-2~bpo10+1) ...
Setting up libbinutils:amd64 (2.31.1-16) ...
Setting up cpp-8 (8.3.0-6) ...
Setting up libc-dev-bin (2.28-10) ...
Setting up libcc1-0:amd64 (8.3.0-6) ...
Setting up liblsan0:amd64 (8.3.0-6) ...
Setting up libitm1:amd64 (8.3.0-6) ...
Setting up binutils-x86-64-linux-gnu (2.31.1-16) ...
Setting up libtsan0:amd64 (8.3.0-6) ...
Setting up manpages-dev (5.04-1~bpo10+1) ...
Setting up binutils (2.31.1-16) ...
Setting up libgcc-8-dev:amd64 (8.3.0-6) ...
Setting up libc6-dev:amd64 (2.28-10) ...
Setting up gcc-8 (8.3.0-6) ...
Setting up linux-compiler-gcc-8-x86 (5.10.46-2~bpo10+1) ...
Setting up linux-headers-5.10.0-0.bpo.8-amd64 (5.10.46-2~bpo10+1) ...
Setting up linux-headers-amd64 (5.10.46-2~bpo10+1) ...
Processing triggers for libc-bin (2.28-10) ...
root@localhost:/etc/apt# uname -r
4.19.0-17-amd64
root@localhost:/etc/apt# apt update
Hit:1 http://deb.debian.org/debian buster InRelease
Hit:2 http://deb.debian.org/debian buster-updates InRelease                        
Hit:3 http://security.debian.org buster/updates InRelease                          
Hit:4 http://deb.debian.org/debian buster-backports InRelease
Reading package lists... Done
Building dependency tree      
Reading state information... Done
All packages are up to date.
root@localhost:/etc/apt# apt upgarde
E: Invalid operation upgarde
root@localhost:/etc/apt# apt upgrade
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Calculating upgrade... Done
The following package was automatically installed and is no longer required:
  linux-image-4.19.0-16-amd64
Use 'apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
 



Merci encore.


PC Desktop, Carte mère: MSI Z270 KRAIT GAMING (MS-7A59), CPU Intel(R) Core(TM) i5-7600K CPU @ 3.80GHz, Vidéo intégré au CPU Intel® HD Graphics 630 (Kaby Lake GT2), RAM 32Go DDR4,
SSD 1To M2 Nvme Samsung 970 Evo Plus, Carte son PCI express 1.0 Asus Xonar essence STX

Hors ligne

#4 10-08-2021 14:58:51

raleur
Membre
Inscription : 03-10-2014

Re : [Résolu] Mise à niveau VPS, kernel 5.10 via backports ne se fait pas

Fall66 a écrit :

le Noyau 5.10.0-0.bpo.5-amd64 est un ancien noyau de backports, c'est peut-être pour cette raison que apt ne le trouve pas


C'est surtout parce qu'il manquait le "s" à "linux-headers".


Il vaut mieux montrer que raconter.

Hors ligne

Pied de page des forums